1.0.0 API documentation: GLM_EXT_scalar_relational

| 1.0.0 API documentation

Functions
GLM_EXT_scalar_relational
Stable extensions

## Functions
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | equal (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | equal (genType const &x, genType const &y, int ULPs)
| Returns the component-wise comparison between two scalars in term of ULPs. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | notEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | notEqual (genType const &x, genType const &y, int ULPs)
| Returns the component-wise comparison between two scalars in term of ULPs. More...

## Detailed Description

Exposes comparison functions for scalar types that take a user defined epsilon values.

Include <glm/ext/scalar_relational.hpp> to use the features of this extension.

See also
  core_vector_relational
  GLM_EXT_vector_relational
  GLM_EXT_matrix_relational

## Function Documentation

## ◆ equal() [1/2]

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::equal | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  genType | Floating-point or integer scalar types

## ◆ equal() [2/2]

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::equal | ( | genType const & | x,
|  | genType const & | y,
|  | int | ULPs
| ) |  |

Returns the component-wise comparison between two scalars in term of ULPs.

True if this expression is satisfied.

Parameters

  x | First operand.
  y | Second operand.
  ULPs | Maximum difference in ULPs between the two operators to consider them equal.

Template Parameters

  genType | Floating-point or integer scalar types

## ◆ notEqual() [1/2]

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::notEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

Template Parameters

  genType | Floating-point or integer scalar types

## ◆ notEqual() [2/2]

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::notEqual | ( | genType const & | x,
|  | genType const & | y,
|  | int | ULPs
| ) |  |

Returns the component-wise comparison between two scalars in term of ULPs.

True if this expression is not satisfied.

Parameters

  x | First operand.
  y | Second operand.
  ULPs | Maximum difference in ULPs between the two operators to consider them not equal.

Template Parameters

  genType | Floating-point or integer scalar types